
 LinHES - Bug # 521: myth-xvid command wrong

Status: Closed Priority: Normal
Author: techman83 Category:
Created: 08/24/2009 Assignee: cecil
Updated: 03/20/2010 Due date:
Description: Noticed slight error with the Transcode to Xvid command. Fully updated fresh install

Command from install: myt2xvid3 -cut "%DIR%" "%FILE%"

Should be: myth2xvid -c "%DIR%" "%FILE"

History
08/24/2009 10:36 pm - techman83
Well it seems the command has changed a bit more than just a spelling mistake. From the myth2xvid script:

<code>
# usage:
# first parameter must be %DIR%/%FILE% of the recording
# second parameter must be the desired base name of the output
# third parameter must be %CHANID% if you set USECUTLIST=Y
# fourth parameter must be %STARTTIME% if you set USECUTLIST=Y
# fifth parameter must be %JOBID% for the User Job status to be updated in MythTV
# in the mythtv setup screen invoke this script like this:
# MYTHTV User Job Command:
# /usr/LH/bin/myth2xvid "%DIR%/%FILE%" "%TITLE% - %SUBTITLE%" "%CHANID%" "%STARTTIME%" "%JOBID%"</code>

08/30/2009 05:13 am - techman83
I have tested this and it works a treat! Honors the Cutlist, Title/Subtitle look to work ok (but the transcodes I did were missing the subtitle), will test on 
things with Subtitles next. The script automatically appended a - number at the end so multiples with the same title (and missing subtitle) didn't fail.

<code>/usr/LH/bin/myth2xvid "%DIR%/%FILE%" "%TITLE% - %SUBTITLE%" "%CHANID%" "%STARTTIME%" "%JOBID%"</code>

09/14/2009 07:38 pm - techman83
I couldn't find a myth2xvid3 script in a fresh, fully updated R6 install, which is why it was failing. I found the myth2xvid script, which indeed looks very 
similar to the myth2ipod script. I changed the command to the one in my comment and was able to transcode recorded shows to Xvid.

09/14/2009 07:38 pm - cecil
<code>/usr/bin/myt2xvid3
/usr/LH/bin/myth2xvid</code>

09/15/2009 12:36 pm - techman83
I have undertaken a "pacman -Syu" to make sure my box is fully up to date, script doesn't seem to be present. I Can test a fresh install if required (I did 
a fresh install for a friend with R6.0.0.8 a little while ago that was missing the script).

<code>
[root@mythbox /]# find / -name *xvid*|grep -v /myth/network|grep -v /myth/video
/var/lib/pacman/sync/core-testing/xvidcore-1.1.3-1
/var/lib/pacman/sync/extra-testing/myt2xvid3-0.1-7
/var/lib/pacman/local/xvidcore-1.1.3-1
/var/log/mythtv/myth2xvid.log
/var/abs/extra/xorg-server-utils/LICENSE.xvidtune
/var/abs/extra/xvidcap
/var/abs/extra/ogle/xvideofix.patch
/var/abs/extra/xvidcore
/usr/bin/nuvexport-xvid
/usr/LH/bin/myth2xvid
/usr/include/xvid.h
/usr/lib/libxvidcore.a
/usr/lib/libxvidcore.so
/usr/lib/libxvidcore.so.4.1
/usr/lib/libxvidcore.so.4
/usr/lib/transcode/export_xvid4.so
/usr/lib/transcode/import_xvid.so
/usr/lib/transcode/export_xvid.so
/usr/lib/transcode/xvid4.cfg
/usr/share/doc/transcode/html/export_xvid.php
/usr/share/doc/transcode/README.xvid-credits
</code>

The failures I was getting related to the backend not being able to find the "myt2xvid3" script.
